# $Id: coova-chilli.spec,v 1.10 2009/06/21 17:32:42 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary:   Coova-Chilli is a Wireless LAN Access Point Controller
Name:      coova-chilli
Version:   1.0.13
Release:   3%{?dist}
URL:       http://coova.org/wiki/index.php/CoovaChilli
Source0:   %{name}-%{version}.tar.gz
License:   GPL
Group:     System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: openssl-devel

Patch1: coova-chilli-1.0.13-mac_auth.patch
Patch2: coova-chilli-1.0.13-increase_macok_max.patch

%description 

Coova-Chilli is a fork of the ChilliSpot project - an open source captive
portal or wireless LAN access point controller. It supports web based login
(Universal Access Method, or UAM), standard for public HotSpots, and it
supports Wireless Protected Access (WPA), the standard for secure roamable
networks. Authentication, Authorization and Accounting (AAA) is handled by
your favorite radius server. Read more at http://coova.org/ and
http://www.chillispot.org/.

%prep
%setup 

%patch1 -p1
%patch2 -p1

%build

%configure --enable-static-exec

make

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/usr/include/*
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT
make clean

%pre
# Add the "chilli" user
/usr/sbin/useradd -c "Coova Chilli User" \
        -s /sbin/nologin -r -d %{_sysconfdir}/chilli coovachilli 2> /dev/null || :

%post
/sbin/chkconfig --add chilli

%preun
if [ $1 = 0 ]; then
        /sbin/service chilli stop > /dev/null 2>&1
        /sbin/chkconfig --del chilli
fi

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_libdir}/*.so*
%{_libdir}/python/CoovaChilliLib.py*
%{_sysconfdir}/init.d/chilli
%doc AUTHORS COPYING ChangeLog INSTALL README doc/dictionary.chillispot doc/hotspotlogin.cgi
%config %{_sysconfdir}/chilli.conf
%config(noreplace) %{_sysconfdir}/chilli/defaults
%dir %{_sysconfdir}/chilli
%dir %{_sysconfdir}/chilli/www
%attr(755,root,root)%{_sysconfdir}/chilli/www/config.sh
%{_sysconfdir}/chilli/www/*
%{_sysconfdir}/chilli/wwwsh
%{_sysconfdir}/chilli/functions
%{_sysconfdir}/chilli/*.sh
%{_sysconfdir}/chilli/*.ini
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*

%changelog
* Tue Jul 2 2013 <daniel@firewall-services.com> 1.0.13-3.sme
- Increase max mac allowed to 128

* Sun Jun 21 2009 <daniel@firewall-services.com> 1.0.13-2.sme
- apply patch to fix macauth

* Mon Apr 07 2009 <daniel@firewall-services.com>
- 1.0.13 release

- Create coovachilli user
* Thu Sep 30 2007 <david@coova.com>
- 1.0.8 release 

* Thu Aug 20 2007 <david@coova.com>
- 1.0-coova.7 release

* Thu Jun 7 2007 <david@coova.com>
- 1.0-coova.6 release

* Wed May 16 2007  <david@coova.com>
- 1.0-coova.5 release

* Wed Feb 07 2007  <david@coova.com>
- 1.0-coova.4 release

* Wed Nov 15 2006  <david@coova.com>
- 1.0-coova.3 release
* Thu Mar 25 2004  <support@chillispot.org>
- Initial release.

